Get multiple alert scheduler rules
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/3/v1/alert-scheduler-rules/bulk \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/3/v1/alert-scheduler-rules/bulk"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/3/v1/alert-scheduler-rules/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alertSchedulerRules": [
{
"alertSchedulerRule": {
"createdAt": "<string>",
"description": "<string>",
"enabled": true,
"filter": {
"alertUniqueIds": {
"value": [
"<string>"
]
},
"whatExpression": "<string>"
},
"id": "<string>",
"metaLabels": [
{
"id": "<string>",
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"schedule": {
"recurring": {
"dynamic": {
"repeatEvery": 123,
"terminationDate": "<string>",
"timeframe": {
"endTime": "<string>",
"startTime": "<string>",
"timezone": "<string>"
},
"weekly": {
"daysOfWeek": [
123
]
}
}
}
},
"uniqueIdentifier": "<string>",
"updatedAt": "<string>"
},
"nextActiveTimeframes": [
{
"endTime": "<string>",
"startTime": "<string>",
"timezone": "<string>"
}
]
}
],
"nextPageToken": "<string>"
}Alert Scheduler Rule Service
Get multiple alert scheduler rules
No description available
Get multiple alert scheduler rules
Authorizations
API key authentication
Query Parameters
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
""
Was this page helpful?
⌘I